OGRE: Ogre::CullFrustumRequest Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Public Attributes | List of all members
Ogre::CullFrustumRequest Struct Reference
Core | Component » Scene

All variables are read-only for the worker threads. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::CullFrustumRequest:
[legend]

## Public Types
typedef vector< ObjectMemoryManager * >::type | ObjectMemoryManagerVec

## Public Member Functions
| CullFrustumRequest ()
| CullFrustumRequest (uint8 _firstRq, uint8 _lastRq, bool _casterPass, bool _addToRenderQueue, bool _cullingLights, const ObjectMemoryManagerVec *_objectMemManager, const Camera *_camera, const Camera *_lodCamera)

## Public Attributes
bool | addToRenderQueue
| Whether we should immediately add to render queue v2 objects. More...
Camera const * | camera
| Camera whose frustum we're to cull against. Must be const (read only for all threads). More...
bool | casterPass
| Whether this is a shadow mapping pass. More...
bool | cullingLights
uint8 | firstRq
| First RenderQueue ID to render (inclusive) More...
uint8 | lastRq
| Last RenderQueue ID to render (exclusive) More...
Camera const * | lodCamera
| Camera whose frustum we're to cull against. Must be const (read only for all threads). More...
ObjectMemoryManagerVec const * | objectMemManager
| Memory manager of the objects to cull. More...

## Detailed Description

All variables are read-only for the worker threads.

## Member Typedef Documentation

## ◆ ObjectMemoryManagerVec

typedef vector<ObjectMemoryManager*>::type Ogre::CullFrustumRequest::ObjectMemoryManagerVec

## Constructor & Destructor Documentation

## ◆ CullFrustumRequest() [1/2]

Ogre::CullFrustumRequest::CullFrustumRequest | ( |  | ) |
| inline

## ◆ CullFrustumRequest() [2/2]

Ogre::CullFrustumRequest::CullFrustumRequest | ( | uint8 | _firstRq,
|  | uint8 | _lastRq,
|  | bool | _casterPass,
|  | bool | _addToRenderQueue,
|  | bool | _cullingLights,
|  | const ObjectMemoryManagerVec * | _objectMemManager,
|  | const Camera * | _camera,
|  | const Camera * | _lodCamera
| ) |  |
| inline

## Member Data Documentation

## ◆ addToRenderQueue

bool Ogre::CullFrustumRequest::addToRenderQueue

Whether we should immediately add to render queue v2 objects.

## ◆ camera

Camera const* Ogre::CullFrustumRequest::camera

Camera whose frustum we're to cull against. Must be const (read only for all threads).

## ◆ casterPass

bool Ogre::CullFrustumRequest::casterPass

Whether this is a shadow mapping pass.

## ◆ cullingLights

bool Ogre::CullFrustumRequest::cullingLights

## ◆ firstRq

uint8 Ogre::CullFrustumRequest::firstRq

First RenderQueue ID to render (inclusive)

## ◆ lastRq

uint8 Ogre::CullFrustumRequest::lastRq

Last RenderQueue ID to render (exclusive)

## ◆ lodCamera

Camera const* Ogre::CullFrustumRequest::lodCamera

Camera whose frustum we're to cull against. Must be const (read only for all threads).

## ◆ objectMemManager

ObjectMemoryManagerVec const* Ogre::CullFrustumRequest::objectMemManager

Memory manager of the objects to cull.

Could contain all Lights, all Entity, etc. Could be more than one depending on the high level cull system (i.e. tree-based sys) Must be const (it is read only for all threads).

The documentation for this struct was generated from the following file:

- OgreSceneManager.h